summaryrefslogtreecommitdiff
path: root/scripts/webcamscript
diff options
context:
space:
mode:
authorChristian Franke <nobody@nowhere.ws>2013-05-07 00:04:05 +0200
committerChristian Franke <nobody@nowhere.ws>2013-05-07 00:43:41 +0200
commitf0d5c5c56a222feed1ff53380133844e536428d0 (patch)
treeb375c6d09a41154ac66c01d101719a84e2769cd9 /scripts/webcamscript
parentf332cbe3c4f2b464efe916235c85a8e4c960e22c (diff)
fix some bashisms
Diffstat (limited to 'scripts/webcamscript')
-rw-r--r--scripts/webcamscript4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/webcamscript b/scripts/webcamscript
index d967553..6bd6119 100644
--- a/scripts/webcamscript
+++ b/scripts/webcamscript
@@ -5,11 +5,11 @@
TODAY=`date`
TIME=`date +"%H"`
-wget "${URL}" $WGET_ARGS -O ${WEBPATH}/public/img/buffer.${NAME}.webcam.jpg &> /dev/null || exit 1
+wget "${URL}" $WGET_ARGS -O ${WEBPATH}/public/img/buffer.${NAME}.webcam.jpg > /dev/null 2>&1 || exit 1
cp ${WEBPATH}/public/img/buffer.${NAME}.webcam.jpg ${WEBPATH}/public/img/buffer.thumb.${NAME}.webcam.jpg
mogrify -contrast-stretch 0 -resize 208x117 ${WEBPATH}/public/img/buffer.thumb.${NAME}.webcam.jpg
-if [ x"${TIMESTAMP}" == x"yes" ]; then
+if [ x"${TIMESTAMP}" = x"yes" ]; then
if [ $TIME -lt 6 ] || [ $TIME -ge 18 ]; then
mogrify -contrast-stretch 0 -adaptive-sharpen 3 -fill white -gravity SouthEast -draw "text 10,10 '${TODAY}'" ${WEBPATH}/public/img/buffer.${NAME}.webcam.jpg
else